Get score aggregations
curl --request GET \
--url https://api.agentmark.co/v1/scores/aggregations \
--header 'Authorization: Bearer <token>' \
--header 'X-Agentmark-App-Id: <api-key>'import requests
url = "https://api.agentmark.co/v1/scores/aggregations"
headers = {
"X-Agentmark-App-Id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Agentmark-App-Id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.agentmark.co/v1/scores/aggregations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentmark.co/v1/scores/aggregations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Agentmark-App-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentmark.co/v1/scores/aggregations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Agentmark-App-Id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agentmark.co/v1/scores/aggregations")
.header("X-Agentmark-App-Id", "<api-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentmark.co/v1/scores/aggregations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Agentmark-App-Id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"avg_score": 123,
"count": 1,
"max_score": 123,
"min_score": 123,
"name": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Scoring
Get score aggregations
Returns aggregated statistics for scores grouped by name. Useful for understanding score distributions across your application.
This endpoint is only available on cloud. The local dev server returns 501.
GET
/
v1
/
scores
/
aggregations
Get score aggregations
curl --request GET \
--url https://api.agentmark.co/v1/scores/aggregations \
--header 'Authorization: Bearer <token>' \
--header 'X-Agentmark-App-Id: <api-key>'import requests
url = "https://api.agentmark.co/v1/scores/aggregations"
headers = {
"X-Agentmark-App-Id": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Agentmark-App-Id': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.agentmark.co/v1/scores/aggregations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agentmark.co/v1/scores/aggregations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-Agentmark-App-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agentmark.co/v1/scores/aggregations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Agentmark-App-Id", "<api-key>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agentmark.co/v1/scores/aggregations")
.header("X-Agentmark-App-Id", "<api-key>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agentmark.co/v1/scores/aggregations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Agentmark-App-Id"] = '<api-key>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"avg_score": 123,
"count": 1,
"max_score": 123,
"min_score": 123,
"name": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Application ID for tenant scoping. X-Outerlayer-App-Id is accepted as an equivalent header.
API key (sk_agentmark_*)
Response
Score aggregations grouped by name.
Show child attributes
Show child attributes
Was this page helpful?
⌘I